Skip to main content

EXT JS a GPL issue?

1 reply [Last post]
bluesturbo
Offline
Joined: 2007-04-13

Hello,

First of all, jMaki is making my WebSynergy/Liferay portlets look amazing. The a la cart widgets approach is great! So far, been able to use jMaki and JPA without needing JSF.

So, what about EXT JS? Is it becasue of GPL, that is not part of jMaki widgets?

How much work is it to include EXT JS with jMaki?

Also, why hasn't jMaki been more popular within the overall Netbeans community?

Thanks!

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
gmurray71
Offline
Joined: 2003-07-31

Hi Bluesturbo,

So there was a bunch of work that went into the Ext JS 1.x widgets that are still in the jMaki Widget workspace (https://widgets.dev.java.net). You can download them from the Ext-JS website:

http://extjs.com/deploy/jmaki/jmaki-ext-1.0.1.zip

It would be nice to have the latest and greatest Ext-JS 2.x widgets and I would be more than happy to work with you on it. We will need to get the consent of the Ext team. If your interested in work with me on this I do have a contact with the ExtJS.

As for Netbeans community my understanding is jMaki is pretty popular and my hope is that we will make bigger inroads into the Eclipse community as well with our upcoming 1.8.1 release.

Please contact me at gmurray71(a)dev.java.net and we can work on this.

-Greg